package capitulo04.bloque08;

import static capitulo04.utils.Utils.crearArrayNumsAleatorios;
import static capitulo04.utils.Utils.mostrarArrayNums;

public class Ejercicio01 {
    public static void main(String[] args) {
        int[] nums = crearArrayNumsAleatorios(20, 0, 100);

        mostrarArrayNums(nums);

        //Contamos los pares
        int cuentaPares = 0;
        for (int i = 0; i < nums.length; i++) {
            if (nums[i] % 2 == 0) cuentaPares++;
        }

        int[] pares = new int[cuentaPares];
        int[] impares = new int[nums.length - cuentaPares];
        cuentaPares = 0;
        int cuentaImpares = 0;

        for (int num : nums) {
            if (num % 2 == 0) {
                pares[cuentaPares] = num;
                cuentaPares++;
            } else {
                impares[cuentaImpares] = num;
                cuentaImpares++;
            }
        }

        for (int i = 0; i < pares.length; i++) {
            nums[i] = pares[i];
        }
        for (int i = 0; i < impares.length; i++) {
            nums[pares.length + i] = impares[i];
        }

        System.out.println();
        mostrarArrayNums(nums);


    }
}
